Bug 1450508 - Create the .pgpass and print required conf for standby on primary database servers
Summary: Create the .pgpass and print required conf for standby on primary database se...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.7.3
Assignee: Nick Carboni
QA Contact: luke couzens
URL:
Whiteboard:
Depends On: 1450492
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-12 20:25 UTC by Satoe Imaishi
Modified: 2017-06-28 15:02 UTC (History)
6 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1450492
Environment:
Last Closed: 2017-06-28 15:02:38 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-12 20:30:59 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/73909f2f71722ab102f4b60d1f6c6a7fa44a7593

commit 73909f2f71722ab102f4b60d1f6c6a7fa44a7593
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Dec 5 15:29:08 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri May 12 16:29:17 2017 -0400

    Merge pull request #1 from carbonin/move_some_ha_config_to_base_class
    
    Write repmgr conf and pgpass when configuring a primary database server
    (cherry picked from commit 3f676e09f62766050302ebd27c6e2c623e58bfbc)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1450508

 .../appliance_console/database_replication.rb      |  37 ++++--
 .../database_replication_primary.rb                |   3 +-
 .../database_replication_standby.rb                |  31 +----
 .../database_replication_primary_spec.rb           |  22 +---
 .../appliance_console/database_replication_spec.rb |  89 ++++++++------
 .../database_replication_standby_spec.rb           | 132 ++-------------------
 6 files changed, 97 insertions(+), 217 deletions(-)

Comment 3 luke couzens 2017-06-12 10:00:13 UTC
Verified in 5.7.3.1

Comment 5 errata-xmlrpc 2017-06-28 15:02:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.